Bug 1785940 - [RFE] Reporting template should show outstanding errata for errata filter.
Summary: [RFE] Reporting template should show outstanding errata for errata filter.
Keywords:
Status: ON_DEV
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Reporting
Version: 6.6.0
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: 6.8.0
Assignee: Marek Hulan
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-22 16:27 UTC by dgupte
Modified: 2020-05-25 14:51 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-katello-3.16.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28780 Normal Closed Allow searching errata by issued date 2020-05-25 09:33:11 UTC

Description dgupte 2019-12-22 16:27:28 UTC
- Proposed title of this feature request
>>>
[RFE] Reporting template should show outstanding errata for errata filter. 

- What is the nature and description of the request?
>>> 
Generating a report of hosts based on the outstanding erratas, does not seem to be currently available.
Customer wants to generate the report using "Registered Hosts Template". However, by adding "errata filter" he would like to report only critical patches and packages that have not been updated for 1 month.
When doing this he want to get the "Registered Hosts Template" pattern. When generating the report, errata filter doesn't work properly. 

Customer can able to filter using errata filter while generating Registered Hosts Template.

For example, when we write issued <"10 days ago", we just wants it to bring him the relevant system.

Monitor -> Report Template -> Select the Cloned Template -> Select the `Inputs` tab. Now create a new filter by clicking on '+Add Input'. In the new form add Name as 'Errata filter' and Input Type as 'User Input'. Save this and generate the report using errata filter parameter: issued <"10 days ago".

when we add above parameters to errata filter section, we able to generate the template. But my report shows all hosts.

- Do you have specific timeline dependencies?
>>>No

- Can you please explain us the what are the functional requirements? If test cases can be provided this would be even more ideal.
Reporting template should show outstanding errata for errata filter. 

- Would you be able to assist in testing this functionality if implemented?
>>> Yes

Comment 3 Marek Hulan 2020-01-03 10:17:07 UTC
It seems you didn't update the content of the template after you added a filter input. Just adding input will not have any effect. The registered hosts does not allow searching by erratas and it's not easy to allow it. You should probably use "Applicable errata" report. That already allows filtering based on errata attributes. If you wanted to base the customization on Registered hosts due to additional host attributes, just add those attributes to clone of Applicable errata report. E.g. just add lines like

'Owner': host.owner,
'Ip': host.ip,

Note that you may need to also add include/preload definitions to keep the report performing well. E.g. the owner would need to be preloaded like in Registered hosts report.

I'd start with checking with the customer, whether the Applicable errata fits the need and gathering potential customizations requests.

Comment 8 Bryan Kearney 2020-01-16 21:03:49 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 9 Bryan Kearney 2020-01-16 21:03:51 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 10 Bryan Kearney 2020-01-21 17:03:48 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28780 has been resolved.

Comment 11 dgupte 2020-02-18 13:18:54 UTC
Hi Marek,

Customer has closed the case, also the upstream PR is closed hence I will close this bugzilla.


Note You need to log in before you can comment on or make changes to this bug.